Categoria da Amazon
Amazon Category retorna a lista de produtos em uma determinada categoria ou subcategoria da Amazon, com preços, avaliações, elegibilidade para Prime e detalhes de envio.
Endpoint
Seção intitulada “Endpoint” GET https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=category
Parâmetros
Seção intitulada “Parâmetros”| Parameter | Type | Required | Description |
|---|---|---|---|
api_key | string | yes | Sua chave de API SERP (compartilhada com a Amazon). |
engine | string | yes | Deve ser amazon. |
type | string | yes | Deve ser category. |
category_id | string | yes | Alias da categoria ou ID numérico (por exemplo, amazon-devices). |
domain | string | no | Domínio do marketplace, padrão amazon.com. |
device | desktop | mobile | no | Dispositivo simulado. |
page | integer | no | Número da página de resultados. |
Exemplo de requisição
Seção intitulada “Exemplo de requisição”curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=category&category_id=amazon-devices"import requests
params = { "engine": "amazon", "api_key": "YOUR_API_KEY", "type": "category", "category_id": "amazon-devices",}r = requests.get("https://ecom.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://ecom.shifter.io/v1?' + new URLSearchParams({ engine: 'amazon', api_key: 'YOUR_API_KEY', type: 'category', category_id: 'amazon-devices',});
const res = await fetch(url);const data = await res.json();Exemplo de resposta
Seção intitulada “Exemplo de resposta”{ "search_parameters": { "engine": "amazon", "amazon_domain": "amazon.com", "type": "category", "category_id": "amazon-devices" }, "category_results": { "product_results": [ { "position": 1, "product_id": "B08C1W5N87", "title": "Fire TV Stick with Alexa Voice Remote", "link": "/dp/B08C1W5N87", "price": "$19.99", "price_raw": "$39.99", "currency": "$", "is_prime": true, "rating": { "rating": "4.7 out of 5 stars", "total_ratings": 141438 }, "amazon_choice": { "link": "/dp/B08C1W5N87" } }, { "position": 2, "product_id": "B08XVYZ1Y5", "title": "Fire TV Stick 4K", "price": "$29.99", "deal": "Limited time deal" } ] }}